#38 3.3.5.6 compilation problem

v1.0 (example)
open
nobody
5
2004-07-10
2004-07-10
Anonymous
No

Probably being thick but...

Have followed instructions to unpack and compile usb
driver rev 3.3.5.6 under 2.6.5-1.358 kernel and keep
getting building modules warnings at the stage 2
MODPOST, e.g.

*** Warning: "__subdf3"
[/home/paul/atmelwlandriver/objs/usbvnetr/release/usbvn
etr.ko] undefined!

for __subdf3, __divdf3, __fixunsdfsi, __floatsidf, __gtdf2.

Any ideas?

Thanks!

Discussion

  • Chris
    Chris
    2004-07-27

    Logged In: YES
    user_id=1092598

    I am having the same problem on Slackware 10 with 2.6.7
    kernel. I did a slocate and cannot find any source files
    that match anything close to subdf3 and divdf3??????

     
  • Logged In: NO

    Ah, well. On the http://atmelwlandriver.sourceforge.net/news.
    html page it says to apply the patch to make the usb working
    for 2.6.x.

    I applied the patch (after changing 2.6.3 in it to 2.6.7)
    and hoped it would be that simple. I didn't work. :-(

    So maybe that patch needs to be updated. Unfortunatly
    I'm not that skilled. Hope someone else is and will do it!

    Thanks!
    /Magnus Arvidsson
    --- Linux-newbie

     
  • Logged In: YES
    user_id=1093656

    Ah, well. On the http://atmelwlandriver.sourceforge.net/news.
    html page it says to apply the patch to make the usb working
    for 2.6.x.

    I applied the patch (after changing 2.6.3 in it to 2.6.7)
    and hoped it would be that simple. I didn't work. :-(

    So maybe that patch needs to be updated. Unfortunatly
    I'm not that skilled. Hope someone else is and will do it!

    Thanks!
    /Magnus Arvidsson
    --- Linux-newbie